/*
  clk_drv.c

  Copyright(C) 1993 Yamaha Corporation
  All rights reserved.

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
  02110-1301, USA

  Description:

  Revision history:
  Fri Mar 10 2006 : BuiltinΥꥢɥ饤Ф񤭤ˡߤƥХåˤ
 */


#define __KMC_MODULE_DEBUG
#define __KMC_MODULE_NAME "/../../clk-drv/src/clk-serial.ko"


#include "clk_drv.h"

void serial_txx9_register_callbak(int line,void (*send)(int line,unsigned char ch));
void serial_txx9_unregister_callbak(int line);

/*==============================================
  internal table and ram declaration
==============================================*/
#ifdef CLKDRV_DEBUG
static const char* dmsg = "clk_serial";
#endif

static void clk_serial_callback( int line, unsigned char ch )
{
	clkdev_receiveSerialMidiData( line, ch );
}

static int __init clk_serial_init(void)
{
	//printk("%s: init_module()\n", dmsg);

	serial_txx9_register_callbak( 1, clk_serial_callback );	/* Serial */
	serial_txx9_register_callbak( 2, clk_serial_callback );	/* USB */
	serial_txx9_register_callbak( 3, clk_serial_callback );	/* mLan */

	return E_OK;
}

static void __exit clk_serial_exit(void)
{
	serial_txx9_unregister_callbak( 1 );
	serial_txx9_unregister_callbak( 2 );
	serial_txx9_unregister_callbak( 3 );

	//printk("%s: cleanup_module()\n", dmsg);
}

module_init(clk_serial_init);
module_exit(clk_serial_exit);

MODULE_LICENSE("GPL");
MODULE_DESCRIPTION("Yamaha clock manager serial driver");
