#ifndef _YMH_TYPE_H_
#define _YMH_TYPE_H_

#ifdef	__linux__
#define	YMH_LINUX	1
#endif

#ifdef	linux
#ifndef	YMH_LINUX
#define	YMH_LINUX	1
#endif
#endif

#ifdef	__linux
#ifndef	YMH_LINUX
#define	YMH_LINUX	1
#endif
#endif

#ifdef	_WINDOWS_
#define	YMH_WINDOWS	1
#endif

#ifdef	__MACTYPES__
#include  <MacTypes.h>
#define	YMH_MAC	1
#endif

#ifndef __cplusplus
typedef	unsigned char	bool;
#endif

#ifndef	YMH_WINDOWS
typedef	bool			BOOLEAN;
#endif
typedef	char			SINT8;
typedef	unsigned char	UINT8;
typedef short			SINT16;
typedef unsigned short	UINT16;
typedef long			SINT32;
#ifndef	YMH_WINDOWS
typedef	unsigned long	UINT32;
#endif

typedef	SINT32			ERR;

typedef			SINT8		sbyt;
typedef			UINT8		ubyt;
typedef			SINT16		ssht;
typedef			UINT16		usht;
typedef			SINT32		slng;
typedef			UINT32		ulng;


typedef         SINT8		SCHAR;
#ifndef	YMH_MAC
typedef         SINT8       SInt8;
#endif

typedef         UINT8       UCHAR;
#ifndef	YMH_MAC
typedef         UINT8       UInt8;
#endif
typedef         UINT8       BYTE;
typedef         UINT8       Uchar;
typedef         UINT8       Byte;
typedef         UINT8       byte;

typedef         SINT16       SSHORT;
#ifndef	YMH_MAC
typedef         SINT16       SInt16;
#endif

typedef         UINT16       USHORT;
#ifndef	YMH_MAC
typedef         UINT16       UInt16;
#endif
typedef         UINT16       WORD;
typedef         UINT16       Ushort;
typedef         UINT16       Word;
typedef         UINT16       word;

typedef         SINT32       SLONG;
#ifndef	YMH_MAC
typedef         SINT32       SInt32;
#endif

#ifndef	YMH_WINDOWS
typedef         UINT32       ULONG;
#endif


#ifndef	YMH_MAC
typedef         UINT32       UInt32;
#endif
typedef         UINT32       LONGWORD;
typedef         UINT32       Ulong;
#ifndef	YMH_LINUX
typedef         UINT32       ulong;
#endif
typedef         UINT32       Dword;
typedef         UINT32       dword;
typedef         UINT32       Uint;
#ifndef	YMH_LINUX
typedef         UINT32       uint;
#endif

typedef		char			nbyt;
typedef         short                   nsht;
typedef         long                    nlng;
typedef         volatile unsigned char  iobyte;
typedef         volatile unsigned short iousht;
typedef         volatile unsigned long  ioulng;

#ifndef	YMH_LINUX
 #define		YMH_BIG_ENDIAN				0
#else  /* !YMH_LINUX */
 #ifdef __KERNEL__
  #include <asm/byteorder.h>
  #if  __BIG_ENDIAN == 4321
     #define		YMH_BIG_ENDIAN				1
  #else 
     #define		YMH_BIG_ENDIAN				0
  #endif
 #else /* !__KERNEL__ */
  #include <endian.h>
  #if __BYTE_ORDER == __BIG_ENDIAN
     #define		YMH_BIG_ENDIAN				1
  #else
     #define		YMH_BIG_ENDIAN				0
  #endif
 #endif
#endif

 #if YMH_BIG_ENDIAN

typedef struct { usht RegAB;               } USHT_REG_FOR_USHT;
typedef struct { byte RegA,RegB;           } BYTE_REG_FOR_USHT;

typedef struct { ulng RegABCD;             } ULNG_REG_FOR_ULNG;
typedef struct { usht RegAB,RegCD;         } USHT_REG_FOR_ULNG;
typedef struct { byte RegA,RegB,RegC,RegD; } BYTE_REG_FOR_ULNG;
typedef struct { usht RegAB; byte RegC,RegD;	} USHT_BYTE_REG_FOR_ULNG;
typedef struct { byte RegA,RegB; usht RegCD;	} BYTE_USHT_REG_FOR_ULNG;

 #else

typedef struct { usht RegAB;                 } USHT_REG_FOR_USHT;
typedef struct { byte RegB,RegA;             } BYTE_REG_FOR_USHT;

typedef struct { ulng RegABCD;               } ULNG_REG_FOR_ULNG;
typedef struct { usht RegCD,RegAB;           } USHT_REG_FOR_ULNG;
typedef struct { byte RegD,RegC,RegB,RegA;   } BYTE_REG_FOR_ULNG;
typedef struct { byte RegD,RegC; usht RegAB; } USHT_BYTE_REG_FOR_ULNG;
typedef struct { usht RegCD; byte RegB,RegA; } BYTE_USHT_REG_FOR_ULNG;

 #endif

typedef union  {
        USHT_REG_FOR_USHT h;
        BYTE_REG_FOR_USHT b;
    } USHT_TYPE;

typedef union  {
        ULNG_REG_FOR_ULNG l;
        USHT_REG_FOR_ULNG h;
        BYTE_REG_FOR_ULNG b;
		USHT_BYTE_REG_FOR_ULNG hb;
		BYTE_USHT_REG_FOR_ULNG bh;
    } ULNG_TYPE;

#endif /* _YMH_TYPE_H_ */
