# This is an auto-generated LSP cross spec file.
# Vendor: YAMAHA CORPORATION
# Board: RTG-K2X
# Commonly known as: MOTIF-RACK XS

%define FILENAME	yamaha-rtg_k2x-mips2_fp_le
%define BOARD_NAME	Yamaha RTG-K2X (%{_hhl_target_endian} endian) 

%define KERNEL_VERSION	%{_hhl_kernel_base_version}_%{_hhl_kernel_hhl_version}
%define MY_LSPDIR       %{_hhl_lsp_dir}/%{FILENAME}
%define KDIR            linux-%{KERNEL_VERSION}
%define MY_KERNELDIR    %{_hhl_kernel_dir}/%{KDIR}
%define FULL_VERSION    %{version}-%{release}
%define _hhl_kernel_arch %( if [ "%{_hhl_target_cpu}" = "mips64" ]; then echo "mips" ; else echo "%{_hhl_target_cpu}" ; fi )

Summary: Linux Support Package for the %{BOARD_NAME}
Name: cross-lsp-%{FILENAME}
Version: %{KERNEL_VERSION}
%if "%{_hhl_lsp_rev}" == "%%%{_hhl_lsp_rev}"
%define _hhl_lsp_rev 99
%endif
Release: %{_hhl_lsp_rev}.1.0.%{_mvl_build_id}.15
Source0: mvl-%{FILENAME}.config
Source10: mvl-%{FILENAME}-desc
Source20: ramdisk-%{_mvl_target_cpu}.gz
%if "%{_hhl_integration_patch}" == "true"
Patch10: mvl-post-release.diff
%endif

# NGS patches
Patch50: ngs-clockgen_init.patch
Patch51: ngs-decrease_nr_consoles.patch
Patch52: ngs-extend_uart_txbuf.patch
Patch53: ngs-fbcon_noclear.patch
Patch54: ngs-fpu_workaround.patch
Patch55: ngs-mvl_baseconfig.patch
Patch56: ngs-proc_mtdid.patch
Patch57: ngs-proc_sram.patch
Patch58: ngs-rtc_workaround.patch
Patch59: ngs-serial_txx9.patch
Patch60: ngs-skip_initramfs_check.patch
Patch61: ngs-sys_call_table.patch
Patch62: ngs-tx4939_platform.patch
Patch63: ngs-tx4939_spi_fix.patch
Patch64: ngs-tx4939_garbcp_fix.patch
Patch65: ngs-zImage.patch

# RTG-K2X patches
Patch70: rtg_k2x-support.patch
Patch71: rtg_k2x-epson1356fb.patch

# MVL official patches
Patch100: pro-0287-omap_kgdb8250_oops_fix.mvlpatch
Patch101: pro-0288-8250-early_serial_setup_spin_lock_init.mvlpatch
Patch102: pro-0289-ipv6_conntrack_core_mising_include_fix.mvlpatch
Patch103: pro-0290-ip6t_reject_missing_include_fix.mvlpatch
Patch104: pro-0291-ext3_show_options_remount_bugfix.mvlpatch
Patch105: pro-0292-ext3_options_remount_quota_warning_fix.mvlpatch
Patch106: pro-0293-ppc440ep_yosemite_support.mvlpatch
Patch107: pro-0294-ppc440gr_yellowstone_support.mvlpatch
Patch108: pro-0295-ppc32_export_cacheable_memcpy_symbol.mvlpatch
Patch109: pro-0296-ppc32_emac_rt_fix.mvlpatch
Patch110: pro-0297-ppc32_cleanup_booke_NUM_TLBCAMS_usage.mvlpatch
Patch111: pro-0298-driver_core_add_bus_find_device_function.mvlpatch
Patch112: pro-0299-common_jbd_relaxation.mvlpatch
Patch113: pro-0300-mqueue_mnt_mnt_count_CVE-2005-3356.mvlpatch
Patch114: pro-0301-fix_refcount_in_ip6_flowlabel_CVE-2005-3806.mvlpatch
Patch115: pro-0302-redundant_NULL_check_in_kernel_sysctl-CVE-2005-2709.mvlpatch
Patch116: pro-0303-fix_sysctl_unregistration_oops_CVE-2005-2709.mvlpatch
Patch117: pro-0304-ipv6_restrict_information_exported_to_userspace.mvlpatch
Patch118: pro-0305-fix_infinite_loop_in_udp_v6_get_port_CVE-2005-2973.mvlpatch
Patch119: pro-0306-kill_annoying_mount_version_mismatch_printks.mvlpatch
Patch120: pro-0307-call_exit_itimers_from_do_exit.mvlpatch
Patch121: pro-0308-mips_rbtx4939_big_endian_ide_bugfix.mvlpatch
Patch122: pro-0309-fix_arm_slab_corruption_due_to_pud_t_integration.mvlpatch
Patch123: pro-0310-fix_compiler_warnings_with_ARM_set_pmd.mvlpatch
Patch124: pro-0311-mips_pnx8550_sync.mvlpatch
Patch125: pro-0312-mips_pnx8550_stb810.mvlpatch
Patch126: pro-0313-mips_pnx8550_rt.mvlpatch
Patch127: pro-0314-mips_pnx8550_kgdb.mvlpatch
Patch128: pro-0315-mips_pnx8550_hrt.mvlpatch
Patch129: pro-0316-mips_pnx8550_nand.mvlpatch
Patch130: pro-0317-mips_pnx8550_meuconfig_warnings.mvlpatch
Patch131: pro-0318-mips_pnx8550_nand_fix.mvlpatch
Patch132: pro-0319-mips_pnx8550_mmu_bug_fix.mvlpatch
Patch133: pro-0320-introduce_kzalloc_function.mvlpatch
Patch134: pro-0321-ppc_xilinx_move_xparameters.h.mvlpatch
Patch135: pro-0322-ppc_xilinx_virtex2pro_to_virtex.mvlpatch
Patch136: pro-0323-ppc_xilinx_add_virtex4fx_to_cpu_table.mvlpatch
Patch137: pro-0324-ppc_xilinx_add_ml403_board_support.mvlpatch
Patch138: pro-0325-ppc_xilinx_intc_cleanup.mvlpatch
Patch139: pro-0326-ppc_xilinx_ivr_hw_bug_workaround.mvlpatch
Patch140: pro-0327-ppc_xilinx_platform_stub.mvlpatch
Patch141: pro-0328-ppc_xilinx_edk_common.mvlpatch
Patch142: pro-0329-ppc_xilinx_edk_emac.mvlpatch
Patch143: pro-0330-ppc_xilinx_emac_del_LookupConfig.mvlpatch
Patch144: pro-0331-ppc_xilinx_emac.mvlpatch
Patch145: pro-0332-ppc_xilinx_edk_gpio.mvlpatch
Patch146: pro-0333-ppc_xilinx_gpio_del_LookupConfig.mvlpatch
Patch147: pro-0334-ppc_xilinx_gpio.mvlpatch
Patch148: pro-0335-ppc_xilinx_edk_ps2.mvlpatch
Patch149: pro-0336-ppc_xilinx_ps2_del_LookupConfig.mvlpatch
Patch150: pro-0337-ppc_xilinx_ps2.mvlpatch
Patch151: pro-0338-ppc_xilinx_fb.mvlpatch
Patch152: pro-0339-ppc_xilinx_edk_sysace.mvlpatch
Patch153: pro-0340-ppc_xilinx_sysace_del_LookupConfig.mvlpatch
Patch154: pro-0341-ppc_xilinx_sysace.mvlpatch
Patch155: pro-0342-ppc_xilinx_edk_iic.mvlpatch
Patch156: pro-0343-ppc_xilinx_iic_del_LookupConfig.mvlpatch
Patch157: pro-0344-ppc_xilinx_iic.mvlpatch
Patch158: pro-0345-ppc_xilinx_edk_uartlite.mvlpatch
Patch159: pro-0346-ppc_xilinx_edk_temac.mvlpatch
Patch160: pro-0347-ppc_xilinx_uartlite.mvlpatch
Patch161: pro-0348-ppc_xilinx_temac_del_LookupConfig.mvlpatch
Patch162: pro-0349-ppc_xilinx_temac.mvlpatch
Patch163: pro-0350-ppc_xilinx_tlb_bug_workaround.mvlpatch
Patch164: pro-0351-ppc_xilinx_add_memec_2vpx_board_support.mvlpatch
Patch165: pro-0352-ppc_memec_2vpx_lcd.mvlpatch
Patch166: pro-0353-ppc_memec_2vpx_mtd.mvlpatch
Patch167: pro-0354-ppc_xilinx_ps2_lockup_fix.mvlpatch
Patch168: pro-0355-ppc_xilinx_edk_touchscreen.mvlpatch
Patch169: pro-0356-ppc_xilinx_touchscreen_del_LookupConfig.mvlpatch
Patch170: pro-0357-ppc_xilinx_touchscreen.mvlpatch
Patch171: pro-0358-ppc_xilinx_xparameters_ml300-fix.mvlpatch
Patch172: pro-0359-ppc_xilinx_edk_spi.mvlpatch
Patch173: pro-0360-ppc_xilinx_spi_del_LookupConfig.mvlpatch
Patch174: pro-0361-ppc_xilinx_spi.mvlpatch
Patch175: pro-0362-ppc_xilinx_ml300_remove_unnecessary_files.mvlpatch
Patch176: pro-0363-generic_serial_driver_bugfix.mvlpatch
Patch177: pro-0364-mips_nec_vr5701_serial_fix.mvlpatch
Patch178: pro-0365-mips_nec_vr5701_errata.mvlpatch
Patch179: pro-0366-mips_nec_vr5701_sound_next.mvlpatch
Patch180: pro-0367-mips_fpu_and_preemption_fixes.mvlpatch
Patch181: pro-0368-mips_tx49x7-cpu-name-pci-clock-report-fix.mvlpatch
Patch182: pro-0369-mips_tx4927_38_pciccfg_gbwc.mvlpatch
Patch183: pro-0370-mips_tx4937-fix-timer-reg-defs.mvlpatch
Patch184: pro-0371-mips_tx49xx-mfc0-errata-fix.mvlpatch
Patch185: pro-0372-use_mtune_arm1136j-s_for_ARMv6_targets.mvlpatch
Patch186: pro-0373-arm-remove-udivdi3-from-pxafb.mvlpatch
Patch187: pro-0374-mmc-remove-ref-to-divdi3.mvlpatch
Patch188: pro-0375-arm-remove-udivdi3-from-nwfpe.mvlpatch
Patch189: pro-0376-arm-remove-udivdi3-from-kernel.mvlpatch
Patch190: pro-0377-arm-optimized-libc-functions.mvlpatch
Patch191: pro-0378-slab-add-more-arch-override.mvlpatch
Patch192: pro-0379-arm-fix-sys_sendto-and-sys_recvfrom-6-arg.mvlpatch
Patch193: pro-0380-arm_mno-thumb-interwork.mvlpatch
Patch194: pro-0381-arm-eabi-relocs-for-modules.mvlpatch
Patch195: pro-0382-arm-eabi-slab-align-to-64bits.mvlpatch
Patch196: pro-0383-arm-eabi-sp-align-1.mvlpatch
Patch197: pro-0384-arm-eabi-sp-align-2.mvlpatch
Patch198: pro-0385-arm-eabi-helper-func-names.mvlpatch
Patch199: pro-0386-arm-eabi-syscalls.mvlpatch
Patch200: pro-0387-arm-eabi-syscall-adjstments.mvlpatch
Patch201: pro-0388-arm-eabi-kconfig.mvlpatch
Patch202: pro-0389-arm-update-syscall-table.mvlpatch
Patch203: pro-0390-arm-inotify-ioprio.syscalls.mvlpatch
Patch204: pro-0391-arm-mempolicy-syscalls.mvlpatch
Patch205: pro-0392-arm-oabi-statfs64.mvlpatch
Patch206: pro-0393-arm-oabi-syscall-wrappers.mvlpatch
Patch207: pro-0394-arm-oabi-multi-abi.mvlpatch
Patch208: pro-0395-arm-oabi-nwfpe.mvlpatch
Patch209: pro-0396-arm-oabi-kconfig.mvlpatch
Patch210: pro-0397-arm-eabi-sigreturn-fix.mvlpatch
Patch211: pro-0398-arm-nptl-compat-mb.mvlpatch
Patch212: pro-0399-arm-oabi-is-experimental.mvlpatch
Patch213: pro-0400-arm-oabi-struct-sockaddr_un.mvlpatch
Patch214: pro-0401-arm_mempolicy_syscalls_compat_hack.mvlpatch
Patch215: pro-0402-arm_eabi_syscalls_compat_hack.mvlpatch
Patch216: pro-0403-iptables_counters_fix.mvlpatch
Patch217: pro-0404-frd_smp_affinity.mvlpatch
Patch218: pro-0405-frd_mips_abs_latency.mvlpatch
Patch219: pro-0406-frd_report_correct_runtime2.mvlpatch
Patch220: pro-0407-frd_cleanup_whitespace.mvlpatch
Patch221: pro-0408-frd_specify_major_device_number.mvlpatch
Patch222: pro-0409-frd_remove_debug_code.mvlpatch
Patch223: pro-0410-kgdb_ppc64_smp_fixes.mvlpatch
Patch224: pro-0411-ppc_boot_treeboot_entrypoint_fix.mvlpatch
Patch225: pro-0412-mips_uaccess_might_sleep_removal.mvlpatch
Patch226: pro-0413-fs_enet_dma_unmap_fixup.mvlpatch
Patch227: pro-0414-mips_fix_ssnop_macro.mvlpatch
Patch228: pro-0415-fix_potential_dos_in_load_elf_library.mvlpatch
Patch229: pro-0416-mips_au1xx0-kgdb.mvlpatch
Patch230: pro-0417-mips_do-not-clear-irq_desc.mvlpatch
Patch231: pro-0418-mips_au1xx0-hrt.mvlpatch
Patch232: pro-0419-mips_au1x00_uart-remove-serial-registration.mvlpatch
Patch233: pro-0420-mips_au1x00_uart-deadlock-fix.mvlpatch
Patch234: pro-0421-mips_au1x00_uart-claim-region.mvlpatch
Patch235: pro-0422-mips_au1xx0-make-kseg0-uncached-on-reboot.mvlpatch
Patch236: pro-0423-mips_au1xx0-use-au_readl.mvlpatch
Patch237: pro-0424-mips_au1xx0-preserve-default-cmdline.mvlpatch
Patch238: pro-0425-mips_au1xx0-use-prom_printf.mvlpatch
Patch239: pro-0426-mips_au1xx0-fix-ohci-Kconfig-entry.mvlpatch
Patch240: pro-0427-mips_au1xx0-ohci-region-size-off-by-one.mvlpatch
Patch241: pro-0428-mips_au1xx0-fix-prom_getenv.mvlpatch
Patch242: pro-0429-mips_ramdisk_parse_cmdline.mvlpatch
Patch243: pro-0430-mips_db1200.mvlpatch
Patch244: pro-0431-mips_au1200-kgdb-on-uart1.mvlpatch
Patch245: pro-0432-mips_au1xx0-dbdma-backport.mvlpatch
Patch246: pro-0433-mips_au1xx0-nand-chip-select-fix.mvlpatch
Patch247: pro-0434-mips_au1550_ac97-fix-spinlocks.mvlpatch
Patch248: pro-0435-mips_au1550_ac97-print-newlines.mvlpatch
Patch249: pro-0436-mips_au1xx0-fix-dbdma-warnings-and-move-irq_tab_alchemy.mvlpatch
Patch250: pro-0437-mips_au1xx0-fix-dbdma-cache-snoop-issue.mvlpatch
Patch251: pro-0438-ppc_440gx_rev_f.patch.mvlpatch
Patch252: pro-0439-8349e_initial.patch.mvlpatch
Patch253: pro-0440-83xx_serial_debug_fix.patch.mvlpatch
Patch254: pro-0441-chipset_version_fix.patch.mvlpatch
Patch255: pro-0442-mpc834x_bcsr_size_fix.patch.mvlpatch
Patch256: pro-0443-mpc83xx_add_soft_reset.patch.mvlpatch
Patch257: pro-0444-add_834x_rtc_support.patch.mvlpatch
Patch258: pro-0445-add_mpc83xx_pci.patch.mvlpatch
Patch259: pro-0446-ppc32-check-ppc_sys_get_pdata-return.patch.mvlpatch
Patch260: pro-0447-mpc8349mds_flash.patch.mvlpatch
Patch261: pro-0448-mpc834x_reset_cleanup.patch.mvlpatch
Patch262: pro-0449-mii-add-gige-support.patch.mvlpatch
Patch263: pro-0450-mii_gigE-bug-fixes.patch.mvlpatch
Patch264: pro-0451-add-mii-test-for-gige.patch.mvlpatch
Patch265: pro-0452-ppc_booke_wdt.patch.mvlpatch
Patch266: pro-0453-ppc_booke_wdt_namespace_cleanup.patch.mvlpatch
Patch267: pro-0454-ppc_head_4xx_missing_endif.patch.mvlpatch
Patch268: pro-0455-ppc32-pte-conversions-to-page-frame-numbers.patch.mvlpatch
Patch269: pro-0456-ppc32-fix-pte-update.patch.mvlpatch
Patch270: pro-0457-ppc32-support_36_bit_phys_addr_on_e500.patch.mvlpatch
Patch271: pro-0458-ppc85xx-fix_platform_device_initialization-8250.patch.mvlpatch
Patch272: pro-0459-ppc32-fix-booke-kgdb-support.patch.mvlpatch
Patch273: pro-0460-ppc32-skip-8258pic-unless-pci.patch.mvlpatch
Patch274: pro-0461-ppc32-add-8548-support.patch.mvlpatch
Patch275: pro-0462-ppc32-add-8548cds-support.patch.mvlpatch
Patch276: pro-0463-ppc32-add-8548-internal-interrupt-support.patch.mvlpatch
Patch277: pro-0464-ppc32-remove-unnecessary-prom.h-includes.patch.mvlpatch
Patch278: pro-0465-ppc32-fix-mpc8555cds-build.patch.mvlpatch
Patch279: pro-0466-ppc32-gianfar-update-marvel-phy-name.patch.mvlpatch
Patch280: pro-0467-ppc32-add-8548-gianfar-tsec-features.patch.mvlpatch
Patch281: pro-0468-ppc32-add-cpm2_reset-prototype.patch.mvlpatch
Patch282: pro-0469-add-phy-abstraction-layer.patch.mvlpatch
Patch283: pro-0470-phy-numerous-minor-fixes.patch.mvlpatch
Patch284: pro-0471-phy-more-cleanups.patch.mvlpatch
Patch285: pro-0472-phy_layer_fixup.patch.mvlpatch
Patch286: pro-0473-ppc32-fix-85xx-pci-io-space.patch.mvlpatch
Patch287: pro-0474-gianfar-use_new_phy_layer.patch.mvlpatch
Patch288: pro-0475-ppc32-85xx-phy_platform_update.patch.mvlpatch
Patch289: pro-0476-ppc32-add-E200-support.patch.mvlpatch
Patch290: pro-0477-delete_CONFIG_PHYCONTROL.patch.mvlpatch
Patch291: pro-0478-gianfar_zero_mii_bus_structure.patch.mvlpatch
Patch292: pro-0479-add_phy_address_mask.patch.mvlpatch
Patch293: pro-0480-mpc85xx_cds_kgdb_fix.patch.mvlpatch
Patch294: pro-0481-add_gianfar_net_poll.patch.mvlpatch
Patch295: pro-0482-ppc32-factor_out_exception_code_for_4xx_and_booke.patch.mvlpatch
Patch296: pro-0483-ppc32_kgdb_cope_with_singlestep_on_critical_exception_stack.patch.mvlpatch
Patch297: pro-0484-gianfar_update_and_add_sysfs_support.patch.mvlpatch
Patch298: pro-0485-allow_overlapping_resources_for_platform_devices.patch.mvlpatch
Patch299: pro-0486-gianfar_include_in_h.patch.mvlpatch
Patch300: pro-0487-gianfar_use_proper_resource_for_mii.patch.mvlpatch
Patch301: pro-0488-phy_add_PHY_ID_FMT_macro.patch.mvlpatch
Patch302: pro-0489-gianfar_use_PHY_ID_FMT_MACRO.patch.mvlpatch
Patch303: pro-0490-gianfar_pass_mdio_bus_params_for_new_driver.patch.mvlpatch
Patch304: pro-0491-ppc_booke_add_isync_after_changing_debug_registers.patch.mvlpatch
Patch305: pro-0492-add_include_of_netdevice_h_to_etherdevice_h.patch.mvlpatch
Patch306: pro-0493-gianfar_crc32dep.patch.mvlpatch
Patch307: pro-0494-ppc32_mpc8548_pex.patch.mvlpatch
Patch308: pro-0495-gianfar_xmitirqstate.patch.mvlpatch
Patch309: pro-0496-ppc_booke_wdt_handlerfixup.patch.mvlpatch
Patch310: pro-0497-ppc32_mpc8548cds_fix_board_reset.patch.mvlpatch
Patch311: pro-0498-net_sched_debug_fixup.mvlpatch
Patch312: pro-0499-ppc32_rt_remap_kmap_atomic_functions.mvlpatch
Patch313: pro-0500-ppc32_rt_enable_interrupts_in__exception.mvlpatch
Patch314: pro-0501-kgdb_mrproper_cleanup.mvlpatch
Patch315: pro-0502-kgdb_8520_dep_fix.mvlpatch
Patch316: pro-0503-ltt_kernel_tid.mvlpatch
Patch317: pro-0504-__wait_on_freeing_inode_fix.mvlpatch
Patch318: pro-0505-rst_ip_conntrack_handling.mvlpatch
Patch319: pro-0506-ppc_fix_timekeeping.mvlpatch
Patch320: pro-0507-usb_ehci_shutdown.mvlpatch
Patch321: pro-0508-83xx_Kconfig_cleanup.mvlpatch
Patch322: pro-0509-83xx_to_syslib.mvlpatch
Patch323: pro-0510-ipic_off_by_one_fix.mvlpatch
Patch324: pro-0511-add_ds1374_rtc_chip.mvlpatch
Patch325: pro-0512-ds1374_asm_rtc_fix.mvlpatch
Patch326: pro-0513-ds1374_workqueue.mvlpatch
Patch327: pro-0514-mpc83xx_ipic_pend_fix.mvlpatch
Patch328: pro-0515-mpc834x_usb_offset_fix.mvlpatch
Patch329: pro-0516-mpc834x_kconfig_mismerge_fix.mvlpatch
Patch330: pro-0517-mpc834x_sys_config_update.mvlpatch
Patch331: pro-0518-ppc32-83xx-phy_platform_update.mvlpatch
Patch332: pro-0519-8349_pci_prefetch_fix.mvlpatch
Patch333: pro-0520-ehci_pci_splitout.mvlpatch
Patch334: pro-0521-usb-ehci-for-freescale-83xx.mvlpatch
Patch335: pro-0522-usb-ehci-and-freescale-83xx-quirk.mvlpatch
Patch336: pro-0523-8349_add_usb_host.mvlpatch
Patch337: pro-0524-ppc83xx-fix_platform_device_initialization-8250.mvlpatch
Patch338: pro-0525-ppc83xx_gianfar_pass_mdio_bus_params_for_new_driver.mvlpatch
Patch339: pro-0526-mpc83xx_kgdb_fix.mvlpatch
Patch340: pro-0527-ppc_emac_typo_fix.mvlpatch
Patch341: pro-0528-matroxfb-fix-big-endian.mvlpatch
Patch342: pro-0529-mpc8540ads_kgdb_fix.mvlpatch
Patch343: pro-0530-mpc8540ads_serial_text_debug_fix.mvlpatch
Patch344: pro-0531-mpc8540ads_phy_disable_force_mode.mvlpatch
Patch345: pro-0532-ppc32_405gpr_pci_region1_en.mvlpatch
Patch346: pro-0533-touch_watchdogs.mvlpatch
Patch347: pro-0534-kgdb_need_nmi_watchdog_h.mvlpatch
Patch348: pro-0535-kgdboe_touch_watchdogs.mvlpatch
Patch349: pro-0536-kgdb_serial_touch_watchdogs.mvlpatch
Patch350: pro-0537-Kill_signed_chars.mvlpatch
Patch351: pro-0538-kbuild_signed_char_fixes_for_scripts.mvlpatch
Patch352: pro-0539-fix_gcc4.1_build_failure_on_xconfig.mvlpatch
Patch353: pro-0540-kbuild_signed_unsigned_char_fix_for_make_menuconfig.mvlpatch
Patch354: pro-0541-rw_verify_area_error_relax.mvlpatch
Patch355: pro-0542-fix_FRD_and_MIPS_CPU_TIMER_config.mvlpatch
Patch356: pro-0543-pro_mips_pnx8550_hrt_fix.mvlpatch
Patch357: pro-0544-pro_mips_pnx8550_external_pci.mvlpatch
Patch358: pro-0545-fs_locks_fix_lease_init_CVE_2006_1859_60.mvlpatch
Patch359: pro-0546-2421_i386_add_memory_clobbers_to_syscall_macros.mvlpatch
Patch360: pro-0547-2138_x86_Make__syscallX_macros_compile_in_PIC_mode.mvlpatch
Patch361: pro-0548-lsm_add_missing_hook_to_do_compat_readv_writev_CVE_2006_1856.mvlpatch
Patch362: pro-0549-remove_bogus_BUG_in_exit_CVE_2006_1855.mvlpatch
Patch363: pro-0550-scsi_sg_do_not_set_VM_IO_flag_on_mmaped_pages_CVE_2006_1528.mvlpatch
Patch364: pro-0551-netfilter_fix_do_add_counters_race_CVE_2006_0039.mvlpatch
Patch365: pro-0552-common_netfilter_fix_do_add_counters_race_ipv4_CVE_2006_0039.mvlpatch
Patch366: pro-0553-driver_core_Separate_platform_device_name_from_platform_device_number.mvlpatch
Patch367: pro-0554-generic_file_buffered_write.mvlpatch
Patch368: pro-0555-ide_unexport_atapi_byte_io.mvlpatch
Patch369: pro-0556-ide_cleanup_globals.mvlpatch
Patch370: pro-0557-ide_dump_atapi_status_fix.mvlpatch
Patch371: pro-0558-ide_flush_cache_error_lba_fix.mvlpatch
Patch372: pro-0559-ide_claim_extra_dma_ports_regardless_of_channel.mvlpatch
Patch373: pro-0560-ide_remove_dma_base2_field_from_ide_hwif_t.mvlpatch
Patch374: pro-0561-ide_always_release_dma_engine.mvlpatch
Patch375: pro-0562-common_kgdb_8250_ttyS1_fix.mvlpatch
Patch376: pro-0563-gen_init_cpio_symlink_pipe_and_socket_support.mvlpatch
Patch377: pro-0564-initramfs_unprivileged_image_creation.mvlpatch
Patch378: pro-0565-gen_init_cpio_When_outputting_a_buffer_don_t_use_char_at_a_time_I_O.mvlpatch
Patch379: pro-0566-cpm_uart_Fix_2nd_serial_port_on_MPC8560_ADS.mvlpatch
Patch380: pro-0567-common_phy_layer_aneg_enable.mvlpatch
Patch381: pro-0568-common_ppc32_pal_support_fixed_phy.mvlpatch
Patch382: pro-0569-common_ppc32_fs_enet_use_pal.mvlpatch
Patch383: pro-0570-common_ppc32_fs_enet_pd_8560ads.mvlpatch
Patch384: pro-0571-common_ppc32_mpc8560ads_rt_cpm2irq.mvlpatch
Patch385: pro-0572-0165_stop_CompactFlash_devices_being_marked_as_removable.mvlpatch
Patch386: pro-0573-ppc32_busid_format_change.mvlpatch
Patch387: pro-0574-ide_actually_honor_min_cycle_time.mvlpatch
Patch388: pro-0575-common_kgdb_oe_cpm_compile_fix.mvlpatch
Patch389: pro-0576-fix_alt_sysrq_deadlock.mvlpatch
Patch390: pro-0577-common_fs_enet_phy_fix.mvlpatch
Patch391: pro-0578-common_kgdb_ppc32_singlestep_fix.mvlpatch
Patch392: pro-0579-common_ppc32_mpc8560ads_disable_force_mode.mvlpatch
Patch393: pro-0580-pro_serial_cpm_uart_pq2fads.mvlpatch
Patch394: pro-0581-common_ppc32_mpc8560ads_cpm_uart.mvlpatch
Patch395: pro-0582-common_ppc32_mpc8560ads_cpm_uart_pins.mvlpatch
Patch396: pro-0583-common_ppc32_cpm_uart_kgdb_fix.mvlpatch
Patch397: pro-0584-pdc202xx_old_remove_obsolete_busproc.mvlpatch
Patch398: pro-0585-piix_remove_mwdma0_check.mvlpatch
Patch399: pro-0586-0434_ext3_EA_Ext_23_no_spare_xattr_handler_slots_needed.mvlpatch
Patch400: pro-0587-0554_cs89x0_collect_tx_bytes_statistics.mvlpatch
Patch401: pro-0588-0530_IRDA_out_of_range_array_access.mvlpatch
Patch402: pro-0589-common_rt_pi_list_add_list_del_init.mvlpatch
Patch403: pro-0590-ide_dma_speed_fixes.mvlpatch
Patch404: pro-0591-ide_dma_speed_warning_fix.mvlpatch
Patch405: pro-0592-add_ICH7_support.mvlpatch
Patch406: pro-0593-piix_add_82801DBL_support.mvlpatch
Patch407: pro-0594-piix_remove_init_setup_handler.mvlpatch
Patch408: pro-0595-piix_remove_useless_comment.mvlpatch
Patch409: pro-0596-piix_merge_header.mvlpatch
Patch410: pro-0597-piix_fix_82371MX_enablebits.mvlpatch
Patch411: pro-0598-piix_slc90e66_pio_fallback_fix.mvlpatch
Patch412: pro-0599-Fix_oops_in_sysfs_hash_and_remove_file.mvlpatch
Patch413: pro-0600-sysfs_remove_dir_needs_to_invalidate_the_dentry.mvlpatch
Patch414: pro-0601-mtd_cfi_init_wait_queue_in_chip_struct.mvlpatch
Patch415: pro-0602-common_jffs2_gc_1.160_backport.mvlpatch
Patch416: pro-0603-pro_ppc32_add_platform_device_functions.mvlpatch
Patch417: pro-0604-pro_ppc32_adds_mpc885ads_mpc866ads_mpc8272ads_specific_platform_stuff.mvlpatch
Patch418: pro-0605-pro_ppc32_mpc8xx_irda.mvlpatch
Patch419: pro-0606-pro_ppc32_i2c_885_866_support.mvlpatch
Patch420: pro-0607-pro_ppc32_fs_enet_use_pal.mvlpatch
Patch421: pro-0608-pro_mpc8272_fec_setup.mvlpatch
Patch422: pro-0609-common_i386_io_apic_cache_build_fix.mvlpatch
Patch423: pro-0610-shmat.mvlpatch
Patch424: pro-0611-mtd_cfi_cmdset_0001_fix_range_for_cache_invalidation.mvlpatch
Patch425: pro-0612-common_remove_scsi_timer_race.mvlpatch
Patch426: pro-0613-common_scsi_memory_deadlock.mvlpatch
Patch427: pro-0614-common_scsi_module_panic.mvlpatch
Patch428: pro-0615-pro_usb_dev_serial_gadget_criticalsections_fix.mvlpatch
Patch429: pro-0616-pro_common_driver_bus_sem_fix.mvlpatch
Patch430: pro-0617-common_kgdb_serial.mvlpatch
Patch431: pro-0618-common_ppc64_boot_makefile.mvlpatch
Patch432: pro-0619-common_bit_spinlocks_preempt.mvlpatch
Patch433: pro-0620-common_fix_pfkeyv2_type.mvlpatch
Patch434: pro-0621-pro_mips_rdhwr_fix.mvlpatch
Patch435: pro-0622-pro_mips_fp_branch_emulation_fix.mvlpatch
Patch436: pro-0623-pro_mips_rbhma4x00_rtl8019as_init_fix.mvlpatch
Patch437: pro-0624-pro_mips_fix_non_linear_memory_mapping.mvlpatch
Patch438: pro-0625-pro_mips_hrt_fix.mvlpatch
Patch439: pro-0626-pro_mips_db15x0_noncoherent_dma.mvlpatch
Patch440: pro-0627-pro_mips_db1xx0_platform.mvlpatch
Patch441: pro-0628-pro_mips_au1xx0_eth_fix_tx_stats.mvlpatch
Patch442: pro-0629-pro_mips_au1000_eth_probe_rewrite.mvlpatch
Patch443: pro-0630-pro_hpt366_driver_reworked.mvlpatch
Patch444: pro-0631-pro_mips_36bit_phys_addr_swap_entry_fix.mvlpatch
Patch445: pro-0632-pro_mips_36bit_phys_addr_sys_mprotect_fix.mvlpatch
Patch446: pro-0633-pro_mips_36bit_phys_addr_really_mark_pte_dirty.mvlpatch
Patch447: pro-0634-pro_mips_36bit_phys_addr_really_mark_buddy_pte_global.mvlpatch
Patch448: pro-0635-pro_mips_au15x0_fix_counter_frequency.mvlpatch
Patch449: pro-0636-pro_mips_au1x00_alsa_spinlock_fix.mvlpatch
Patch450: pro-0637-pro_mips_au1x00_alsa_ac97_memory_mapped.mvlpatch
Patch451: pro-0638-pro_mips_au1x00_retain_od_bit.mvlpatch
Patch452: pro-0639-pro_mips_au1500_work_around_unknown_errata.mvlpatch
Patch453: pro-0640-common_frd_remove_extern_declarations.mvlpatch
Patch454: pro-0641-pro_ppc_xilinx_ml403_to_ml40x.mvlpatch
Patch455: pro-0642-pro_ppc_xilinx_edk_to_common.mvlpatch
Patch456: pro-0643-pro_ppc_xilinx_ethtool_support_to_emac.mvlpatch
Patch457: pro-0644-pro_ppc_xilinx_gpio_dual_channel.mvlpatch
Patch458: pro-0645-pro_ppc_xilinx_add_xparameters_defaults.mvlpatch
Patch459: pro-0646-pro_ppc_xilinx_temac_fixes.mvlpatch
Patch460: pro-0647-pro_ppc_xilinx_mac_eepro.mvlpatch
Patch461: pro-0648-pro_ppc_xilinx_kconfig.mvlpatch
Patch462: pro-0649-pro_ppc_xilinx_emac_fixes.mvlpatch
Patch463: pro-0650-pro_ppc_xilinx_edk_new_emac.mvlpatch
Patch464: pro-0651-pro_ppc_xilinx_edk_new_gpio.mvlpatch
Patch465: pro-0652-pro_ppc_xilinx_edk_new_iic.mvlpatch
Patch466: pro-0653-pro_ppc_xilinx_edk_new_ps2.mvlpatch
Patch467: pro-0654-pro_ppc_xilinx_edk_new_sysace.mvlpatch
Patch468: pro-0655-pro_ppc_xilinx_edk_new_uartlite.mvlpatch
Patch469: pro-0656-SNMP_NAT_fix_memory_corruption_CVE_2006_2444.mvlpatch
Patch470: pro-0657-pro_ppc32_pcmcia_8xx.mvlpatch
Patch471: pro-0658-pro_ppc32_pcmcia_update.mvlpatch
Patch472: pro-0659-pro_ppc32_8xx_pcmcia_885_866_support.mvlpatch
Patch473: pro-0660-pro_cpm_uart_kgdb_8xx.mvlpatch
Patch474: pro-0661-pro_ppc32_mpc885ads_mpc86xads_mtd.mvlpatch
Patch475: pro-0662-pro_ppc32_mpc8xx_i2c_algo.mvlpatch
Patch476: pro-0663-pro_ppc32_mm_dcbst_fix.mvlpatch
Patch477: pro-0664-pro_ppc32_pcmcia_8xx_fix_build_error.mvlpatch
Patch478: pro-0665-pro_ppc32_rpx_i2c_platform_device.mvlpatch
Patch479: pro-0666-pro_ppc32_pcmcia_kconfig_cleanup.mvlpatch
Patch480: pro-0667-pro_ppc32_fs_enet_pd_885ads.mvlpatch
Patch481: pro-0668-pro_mpc885_fec_setup_fix.mvlpatch
Patch482: pro-0669-pro_ppc32_mm_fix_tlbie.mvlpatch
Patch483: pro-0670-common_fix_io_apic_cache_with_irq_threads.mvlpatch
Patch484: pro-0671-common_ide_cs_suspend_resume.mvlpatch
Patch485: pro-0672-common_ppc32_mpc8540ads_phy_disable_force_mode_fix.mvlpatch
Patch486: pro-0673-common_i386_hrt_monotonic_clock_fix.mvlpatch
Patch487: pro-0674-common_rt_fix_load_in_softirqs.mvlpatch
Patch488: pro-0675-ppc32_dont_sleep_in_flush_dcache_icache_page.mvlpatch
Patch489: pro-0676-common_ext3_remove_bit_spinlocks.mvlpatch
Patch490: pro-0677-common_pxa27x_pcmcia_suspend_resume.mvlpatch
Patch491: pro-0678-common_orinoco_cs_suspend_resume.mvlpatch
Patch492: pro-0679-common_usb_gadget_file_storage_short_no_ok.mvlpatch
Patch493: pro-0680-common_ext3_handle_attempted_delete_of_bitmap_blocks.mvlpatch
Patch494: pro-0681-common_ext3_handle_attempted_double_delete_of_metadata.mvlpatch
Patch495: pro-0682-common_BUG_on_error_handlings_in_Ext3_under_I_O_failure_condition.mvlpatch
Patch496: pro-0683-common_jbd_journal_overflow_fix_2.mvlpatch
Patch497: pro-0684-common_JBD_reduce_stack_and_number_of_journal_descriptors.mvlpatch
Patch498: pro-0685-common_JBD_log_space_management_optimization.mvlpatch
Patch499: pro-0686-common_Factor_out_phase_6_of_journal_commit_transaction.mvlpatch
Patch500: pro-0687-common_ext3_jbd_race_releasing_in_use_journal_heads.mvlpatch
Patch501: pro-0688-common_ext3_fix_journal_unmap_buffer_race.mvlpatch
Patch502: pro-0689-common_jbd_dirty_buffer_leak_fix.mvlpatch
Patch503: pro-0690-common_ext3_fix_list_scanning_in___cleanup_transaction.mvlpatch
Patch504: pro-0691-common_ext3_fix_log_do_checkpoint_assertion_failure.mvlpatch
Patch505: pro-0692-common_kjournald_missing_JFS_UNMOUNT_check.mvlpatch
Patch506: pro-0693-common_Fix_JBD_race_in_t_forget_list_handling.mvlpatch
Patch507: pro-0694-common_Change_ll_rw_block_calls_in_JBD.mvlpatch
Patch508: pro-0695-common_Fix_race_in_do_get_write_access.mvlpatch
Patch509: pro-0696-common_jbd_catchup_integration.mvlpatch
Patch510: pro-0697-common_marker_inode.mvlpatch
Patch511: pro-0698-remove_ARM_specific_set_pmd.mvlpatch
Patch512: pro-0699-add_ARM_inline_functions_to_find_pmd_from_virt.mvlpatch
Patch513: pro-0700-common_arm_dma_consistent.mvlpatch
Patch514: pro-0701-common_arm_preempt_rt_irq_sa_interrupt.mvlpatch
Patch515: pro-0702-common_arm_default_eabi_on_non_v4.mvlpatch
Patch516: pro-0703-0534_ARM_3477_1_ARM_EABI_undefine_removed_syscalls.mvlpatch
Patch517: pro-0704-common_ARM_eABI_unistd_h_uclibc.mvlpatch
Patch518: pro-0705-ARM_3495_1_EABI_undefine_removed_syscalls_for_userspace_only.mvlpatch
Patch519: pro-0706-ARM_3486_1_Mark_memory_as_clobbered_by_the_ARM__syscallX_macros.mvlpatch
Patch520: pro-0707-common_arm_mach_types_060213.mvlpatch
Patch521: pro-0708-common_arm_mach_types_060518.mvlpatch
Patch522: pro-0709-common_ltt_arm_oabi_fix.mvlpatch
Patch523: pro-0710-ARM_EABI_more_64_bit_aligned_stack_fixes.mvlpatch
Patch524: pro-0711-ARM_fix_PXA27x_DMA_allocation_priority.mvlpatch
Patch525: pro-0712-0147_ARM_3470_1_Clear_the_HWCAP_bits_for_the_disabled_kernel_features.mvlpatch
Patch526: pro-0713-common_ARM_DEBUG_STACKOVERFLOW.mvlpatch
Patch527: pro-0714-0399_ARM_2796_1_Fix_ARMv5_TEJ_check_in_MMU_initalization.mvlpatch
Patch528: pro-0715-0878_ARM_Simplify_setup_mm_for_reboot.mvlpatch
Patch529: pro-0716-0081_ARM_Fix_XScale_PMD_setting.mvlpatch
Patch530: pro-0717-common_arm_eabi_kconfig_help.mvlpatch
Patch531: pro-0718-common_arm_eabi_slab_debug.mvlpatch
Patch532: pro-0719-common_fix_ARM_preempt_schedule_irq_recursion.mvlpatch
Patch533: pro-0720-ARM_3626_1_ARM_EABI_fix_syscall_restarting.mvlpatch
Patch534: pro-0721-fix_silly_ARM_non_EABI_build_error.mvlpatch
Patch535: pro-0722-pro_arm_omap5912_osk_audio.mvlpatch
Patch536: pro-0723-common_arm_kgdb_longjmp_cpsr_restore.mvlpatch
Patch537: pro-0724-common_usb_gadget_chips_update.mvlpatch
Patch538: pro-0725-common_jffs2_autoplace_erasedcheck.mvlpatch
Patch539: pro-0726-common_yaffs1_deprecate.mvlpatch
Patch540: pro-0727-common_yaffs2.mvlpatch
Patch541: pro-0728-common_yaffs_noerasedtagsecc.mvlpatch
Patch542: pro-0729-common_yaffs2_enable_complex_oob.mvlpatch
Patch543: pro-0730-common_yaffs_losetup.mvlpatch
Patch544: pro-0731-common_yaffs_readdir_rewind.mvlpatch
Patch545: pro-0732-common_yaffs_chunk_erased_check_disabled.mvlpatch
Patch546: pro-0733-common_yaffs_rt_lock_held.mvlpatch
Patch547: pro-0734-common_yaffs_umount_flush.mvlpatch
Patch548: pro-0735-common_yaffs_kswapd_deadlock.mvlpatch
Patch549: pro-0736-common_yaffs_needs_mtd.mvlpatch
Patch550: pro-0737-common_mmc_v4.mvlpatch
Patch551: pro-0738-spi_1_framework.mvlpatch
Patch552: pro-0739-spi_2_7846.mvlpatch
Patch553: pro-0740-spi_3_mtd_dataflash.mvlpatch
Patch554: pro-0741-spi_4_add_spi_driver_structure.mvlpatch
Patch555: pro-0742-spi_5_core_tweaks.mvlpatch
Patch556: pro-0743-spi_6_ads7836_uses_spi_driver.mvlpatch
Patch557: pro-0744-spi_7_bitbang_driver.mvlpatch
Patch558: pro-0745-spi_8_m25_serial_flash.mvlpatch
Patch559: pro-0746-spi_9_linked_lists_instead_of_arrays.mvlpatch
Patch560: pro-0747-spi_10_misc_fixes.mvlpatch
Patch561: pro-0748-spi_11_removal_fastcall_crap.mvlpatch
Patch562: pro-0749-spi_12_butterfly.mvlpatch
Patch563: pro-0750-common_spi_fixes.mvlpatch
Patch564: pro-0751-arm_ptrace_singlestep_bx_blx.mvlpatch
Patch565: pro-0752-mmc_sd_support_protocol.mvlpatch
Patch566: pro-0753-mmc_add_mmc_hostname_macro.mvlpatch
Patch567: pro-0754-mmc_add_class_devices.mvlpatch
Patch568: pro-0755-mmc_ios_for_mmc_chip_select.mvlpatch
Patch569: pro-0756-sd_initialize_SD_cards.mvlpatch
Patch570: pro-0757-sd_read_only_switch.mvlpatch
Patch571: pro-0758-sd_scr_register.mvlpatch
Patch572: pro-0759-sd_scr_in_sysfs.mvlpatch
Patch573: pro-0760-sd_4_bit_bus.mvlpatch
Patch574: pro-0761-sd_copyright_notice.mvlpatch
Patch575: pro-0762-mmc_allow_detection_removal_to_be_delayed.mvlpatch
Patch576: pro-0763-arm_3120_1_fix_mmc_sd_card_driver_resume_deadlock.mvlpatch
Patch577: pro-0764-common_arm_omap_mmc_detection_removal_update.mvlpatch
Patch578: pro-0765-pro_davinci_core_kernel.mvlpatch
Patch579: pro-0766-pro_davinci_network.mvlpatch
Patch580: pro-0767-pro_davinci_i2c.mvlpatch
Patch581: pro-0768-pro_davinci_audio.mvlpatch
Patch582: pro-0769-pro_davinci_flash.mvlpatch
Patch583: pro-0770-pro_davinci_ide.mvlpatch
Patch584: pro-0771-pro_davinci_mmc.mvlpatch
Patch585: pro-0772-pro_davinci_rtc.mvlpatch
Patch586: pro-0773-pro_davinci_usb.mvlpatch
Patch587: pro-0774-pro_davinci_video_in.mvlpatch
Patch588: pro-0775-pro_davinci_video_out.mvlpatch
Patch589: pro-0776-pro_davinci_enable_config_swap.mvlpatch
Patch590: pro-0777-pro_davinci_hrt_fix_timer_period.mvlpatch
Patch591: pro-0778-pro_davinci_add_frd_support.mvlpatch
Patch592: pro-0779-pro_davinci_config_ilat.mvlpatch
Patch593: pro-0780-pro_arm_davinci_usb_preempt_rt_fix.mvlpatch
Patch594: pro-0781-pro_arm_davinci_vpss_ti_fixes.mvlpatch
Patch595: pro-0782-pro_arm_davinci_musb_dma_ping_s22.mvlpatch
Patch596: pro-0783-pro_arm_davinci_mmc_detection_removal_update.mvlpatch
Patch597: pro-0784-pro_arm_davinci_emac_locking.mvlpatch
Patch598: pro-0785-pro_arm_davinci_reboot_fix.mvlpatch
Patch599: pro-0786-pro_fix_long_patches_link_line.mvlpatch
Patch600: pro-0787-pro_ppc_xilinx_edk_new_emac_sgdma_fix.mvlpatch
Patch601: pro-0788-fix_memory_leak_with_file_leases.mvlpatch
Patch602: pro-0789-fix_oops_on_ipv6_route_lookup.mvlpatch
Patch603: pro-0790-fix_xfrm_tunnel_oops_with_large_packets.mvlpatch
Patch604: pro-0791-fix_dst_destroy_race.mvlpatch
Patch605: pro-0792-oprofile_add_check_user_page_readable.mvlpatch
Patch606: pro-0793-get_user_pages_kill_get_page_map.mvlpatch
Patch607: pro-0794-check_user_page_readable_deadlock_fix.mvlpatch
Patch608: pro-0795-get_user_pages_race_for_write_access.mvlpatch
Patch609: pro-0796-fix_scheduler_deadlock.mvlpatch
Patch610: pro-0797-fix_kill_proc_info_vs_clone_thread_race.mvlpatch
Patch611: pro-0798-fork_fix_race_in_setting_childs_pgrp_and_tty.mvlpatch
Patch612: pro-0799-fix_signal_live_leak_in_copy_process.mvlpatch
Patch613: pro-0800-preempt_race_in_getppid.mvlpatch
Patch614: pro-0801-common_kgdb_cross_hang.mvlpatch
Patch615: pro-0802-pro_mips_nec_emma2rh_base.mvlpatch
Patch616: pro-0803-pro_mips_nec_emma2rh_pci.mvlpatch
Patch617: pro-0804-pro_mips_nec_emma2rh_i2c.mvlpatch
Patch618: pro-0805-pro_mips_nec_emma2rh_ramdisk.mvlpatch
Patch619: pro-0806-pro_mips_nec_emma2rh_kgdb.mvlpatch
Patch620: pro-0807-pro_ppc_xilinx_ml300_rename_ts.mvlpatch
Patch621: pro-0808-pro_ppc_xilinx_sysace_fix.mvlpatch
Patch622: pro-0809-pro_create_dev_console.mvlpatch
Patch623: pro-0810-pro_add_xilinx_ml40x_defconfig.mvlpatch
Patch624: pro-0811-dont_autoreap_traced_children_CVE_2005_3784.mvlpatch
Patch625: pro-0812-fix_ptrace_self_attach_rule_CVE_2005_3783.mvlpatch
Patch626: pro-0813-vfs_local_denial_of_service_with_file_leases_CVE_2005_3857.mvlpatch
Patch627: pro-0814-pro_ppc32_4xx_kgdb_exception_stack_workaround.mvlpatch
Patch628: pro-0815-pro_ppc_xilinx_gpio_dual_channel_fix.mvlpatch
Patch629: pro-0816-mv643xx_eth_skb_leak.mvlpatch
Patch630: pro-0817-mv643xx_eth_shared_irq.mvlpatch
Patch631: pro-0818-mv643xx_eth_ppc_iomem_annotations.mvlpatch
Patch632: pro-0819-mv643xx_eth_hw_checksum_workaround.mvlpatch
Patch633: pro-0820-mv643xx_fix_outstanding_skb_counter.mvlpatch
Patch634: pro-0821-mv643xx_fix_promiscuous_mode.mvlpatch
Patch635: pro-0822-mv643xx_eth_sram_printk.mvlpatch
Patch636: pro-0823-mv643xx_eth_include_ip.h_and_in.h.mvlpatch
Patch637: pro-0824-mv643xx_eth_rx_buffer_8_byte_alignment.mvlpatch
Patch638: pro-0825-mv643xx_eth_fix_small_unaligned_fragments.mvlpatch
Patch639: pro-0826-mv643xx_eth_iounmap_correct_sram_buffer.mvlpatch
Patch640: pro-0827-mv643xx_eth_minimal_spinlocks.mvlpatch
Patch641: pro-0828-mv643xx_eth_hw_checksum_only_ipv4.mvlpatch
Patch642: pro-0829-mv643xx_eth_fix_transmit_skb_accounting.mvlpatch
Patch643: pro-0830-mv643xx_eth_merge_open_and_stop_helpers.mvlpatch
Patch644: pro-0831-mv643xx_eth_remove_masking_of_extended_intr.mvlpatch
Patch645: pro-0832-common_mv643xx_eth_whitespace_and_comment_sync_with_community.mvlpatch
Patch646: pro-0833-common_mv643xx_eth_fix_spinlock_recursion.mvlpatch
Patch647: pro-0834-common_mv643xx_eth_update_last_rx.mvlpatch
Patch648: pro-0835-common_mv643xx_eth_whitespace_cleanup_a.mvlpatch
Patch649: pro-0836-common_mv643xx_eth_fix_module_build.mvlpatch
Patch650: pro-0837-common_mv643xx_eth_remove_port_mac_addr.mvlpatch
Patch651: pro-0838-common_mv643xx_eth_merge_unicast_multicast_filter.mvlpatch
Patch652: pro-0839-common_mv643xx_eth_rename_tx_ring_skbs.mvlpatch
Patch653: pro-0840-common_mv643xx_eth_consistent_port_enable_disable.mvlpatch
Patch654: pro-0841-common_mv643xx_eth_use_mii_library_for_phy.mvlpatch
Patch655: pro-0842-common_mv643xx_eth_use_mii_library_for_ethtool.mvlpatch
Patch656: pro-0843-common_mv643xx_eth_cleanup_platform_data.mvlpatch
Patch657: pro-0844-common_mv643xx_eth_select_mii.mvlpatch
Patch658: pro-0845-common_mv643xx_eth_fix_misplaced_parenthesis_in_mv643xx_eth_port_disable_rx.mvlpatch
Patch659: pro-0846-common_ppc32_mv64x60_uart_sdma_fix.mvlpatch
Patch660: pro-0847-common_mv643xx_eth_Wait_for_carrier_ok_on_open.mvlpatch
Patch661: pro-0848-undo_do_readv_writev_behavior_change.mvlpatch
Patch662: pro-0849-common_fix_update_times.mvlpatch
Patch663: pro-0850-ide_cleanup_eighty_ninty_three.mvlpatch
Patch664: pro-0851-ide_fix_SATA_drive_cable_detect.mvlpatch
Patch665: pro-0852-common_ppc32_ibm_emac_kgdb_fix.mvlpatch
Patch666: pro-0853-net_marvell_sysfs_symlink_fix.mvlpatch
Patch667: pro-0854-common_mv643xx_eth_Clear_int_cause_registers_before_calling_request_irq.mvlpatch
Patch668: pro-0855-fix_stop_signal_race.mvlpatch
Patch669: pro-0856-move_group_exit_flag_into_signal_struct_flags_word.mvlpatch
Patch670: pro-0857-NPTL_signal_delivery_deadlock_fix.mvlpatch
Patch671: pro-0858-common_mv643eth_carrier_init_fix.mvlpatch
Patch672: pro-0859-common_ppc32_rt_highmem_fix.mvlpatch
Patch673: pro-0860-pro_ppc32_pq2fads_support.mvlpatch
Patch674: pro-0861-pro_usb_gadget_mpc8272_udc_config_fixes.mvlpatch
Patch675: pro-0862-pro_usb_gadget_mpc8272_udc_pq2fads.mvlpatch
Patch676: pro-0863-pro_ppc32_pq2_reboot.mvlpatch
Patch677: pro-0864-common_add_hostap_drivers_rm_wireless.h_for_commuity_update.mvlpatch
Patch678: pro-0865-Wireless_Extensions_18_aka_WPA.mvlpatch
Patch679: pro-0866-common_mv643xx_eth_carrier_init_fix_fix.mvlpatch
Patch680: pro-0867-0288_SPI_spi_butterfly_restore_lost_deltas.mvlpatch
Patch681: pro-0868-pro_mphysmap_updates.mvlpatch
Patch682: pro-0869-pro_ti_titan_board.mvlpatch
Patch683: pro-0870-pro_ti_titan_mtd.mvlpatch
Patch684: pro-0871-pro_ti_titan_i2c.mvlpatch
Patch685: pro-0872-pro_titan_mac.mvlpatch
Patch686: pro-0873-pro_ti_titan_kgdb_fix.mvlpatch
Patch687: pro-0874-stop_calling_phy_stop_interrupts_twice.mvlpatch
Patch688: pro-0875-common_scsi_adaptec_94xx_unlocks_in_error_path.mvlpatch
Patch689: pro-0876-fix_de_thread_send_group_sigqueue_race.mvlpatch
Patch690: pro-0877-fix_kill_proc_info_vs_fork_theoretical_race.mvlpatch
Patch691: pro-0878-module_strlen_user_race_fix.mvlpatch
Patch692: pro-0879-remove_duplicated_code_from_proc_and_ptrace.mvlpatch
Patch693: pro-0880-ptrace_attach_ptrace_traceme_de_thread_race.mvlpatch
Patch694: pro-0881-fix_signedness_issues_in_net_core_filter_c.mvlpatch
Patch695: pro-0882-pro_ppc32_440sp_mal_channels_fix.mvlpatch
Patch696: pro-0883-pro_ppc32_440sp_sram_dcr_fix.mvlpatch
Patch697: pro-0884-pro_ppc32_440sp_cputable_entry.mvlpatch
Patch698: pro-0885-pro_ppc32_440sp_uart2.mvlpatch
Patch699: pro-0886-pro_ppc32_440sp_uic_fixes.mvlpatch
Patch700: pro-0887-pro_ppc32_440sp_pcix_fixes.mvlpatch
Patch701: pro-0888-pro_ppc32_440sp_l2cache.mvlpatch
Patch702: pro-0889-pro_ppc32_440sp_clk_pwr_mgmt.mvlpatch
Patch703: pro-0890-pro_ppc32_440sp_mtd_defs.mvlpatch
Patch704: pro-0891-pro_ppc32_440sp_mtd_map.mvlpatch
Patch705: pro-0892-pro_ppc32_440sp_kgdb_serial.mvlpatch
Patch706: pro-0893-pro_ppc32_440sp_kgdb_single_step_fix.mvlpatch
Patch707: pro-0894-common_powerpc_Fix_machine_check_problem_on_32_bit_kernels_CVE_2006_2448.mvlpatch
Patch708: pro-0895-common_netfilter_sctp_fix_endless_loop_caused_by_0_chunk_length_CVE_2006_3085.mvlpatch
Patch709: pro-0896-sctp_conntrack_fix_crash_triggered_by_packet_without_chunks_CVE_2006_2934.mvlpatch

License: GPL
Group: LSP
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_install_prefix}
BuildRequires: host-kernel = %{version}
BuildArch: noarch

%description
This package contains the kernel source code and documentation for the
%{BOARD_NAME}
Linux Support Package as part of MontaVista Linux.

# Binary package
%package -n cross-%{_hhl_target_arch}-lsp-%{FILENAME}
Summary: Linux Support Package for the %{BOARD_NAME}
Group: LSP
AutoReqProv: no


%description -n cross-%{_hhl_target_arch}-lsp-%{FILENAME}
This package contains the source and documentation for the
%{BOARD_NAME}
Linux Support Package as part of MontaVista Linux.

<lsp>
YAMAHA&reg; RTG-K2X
</lsp>

%prep
%target_check

rm -rf %{buildroot}
mkdir -p %{buildroot}%{MY_LSPDIR}
cd %{buildroot}%{MY_LSPDIR}

# Copy the raw kernel tree here.
tar -C %{_hhl_kernel_dir} -cf - %{KDIR} | tar xf -
cp %{SOURCE20} %{KDIR}/arch/%{_mvl_target_cpu}/ramdisk/ramdisk.gz

# Do some prep in the sources

cd %{KDIR}
%if "%{_hhl_integration_patch}" == "true"
patch -p1 < %{PATCH10}
%endif 

# apply MVL official patches
sh %{PATCH100}
sh %{PATCH101}
sh %{PATCH102}
sh %{PATCH103}
sh %{PATCH104}
sh %{PATCH105}
sh %{PATCH106}
sh %{PATCH107}
sh %{PATCH108}
sh %{PATCH109}
sh %{PATCH110}
sh %{PATCH111}
sh %{PATCH112}
sh %{PATCH113}
sh %{PATCH114}
sh %{PATCH115}
sh %{PATCH116}
sh %{PATCH117}
sh %{PATCH118}
sh %{PATCH119}
sh %{PATCH120}
sh %{PATCH121}
sh %{PATCH122}
sh %{PATCH123}
sh %{PATCH124}
sh %{PATCH125}
sh %{PATCH126}
sh %{PATCH127}
sh %{PATCH128}
sh %{PATCH129}
sh %{PATCH130}
sh %{PATCH131}
sh %{PATCH132}
sh %{PATCH133}
sh %{PATCH134}
sh %{PATCH135}
sh %{PATCH136}
sh %{PATCH137}
sh %{PATCH138}
sh %{PATCH139}
sh %{PATCH140}
sh %{PATCH141}
sh %{PATCH142}
sh %{PATCH143}
sh %{PATCH144}
sh %{PATCH145}
sh %{PATCH146}
sh %{PATCH147}
sh %{PATCH148}
sh %{PATCH149}
sh %{PATCH150}
sh %{PATCH151}
sh %{PATCH152}
sh %{PATCH153}
sh %{PATCH154}
sh %{PATCH155}
sh %{PATCH156}
sh %{PATCH157}
sh %{PATCH158}
sh %{PATCH159}
sh %{PATCH160}
sh %{PATCH161}
sh %{PATCH162}
sh %{PATCH163}
sh %{PATCH164}
sh %{PATCH165}
sh %{PATCH166}
sh %{PATCH167}
sh %{PATCH168}
sh %{PATCH169}
sh %{PATCH170}
sh %{PATCH171}
sh %{PATCH172}
sh %{PATCH173}
sh %{PATCH174}
sh %{PATCH175}
sh %{PATCH176}
sh %{PATCH177}
sh %{PATCH178}
sh %{PATCH179}
sh %{PATCH180}
sh %{PATCH181}
sh %{PATCH182}
sh %{PATCH183}
sh %{PATCH184}
sh %{PATCH185}
sh %{PATCH186}
sh %{PATCH187}
sh %{PATCH188}
sh %{PATCH189}
sh %{PATCH190}
sh %{PATCH191}
sh %{PATCH192}
sh %{PATCH193}
sh %{PATCH194}
sh %{PATCH195}
sh %{PATCH196}
sh %{PATCH197}
sh %{PATCH198}
sh %{PATCH199}
sh %{PATCH200}
sh %{PATCH201}
sh %{PATCH202}
sh %{PATCH203}
sh %{PATCH204}
sh %{PATCH205}
sh %{PATCH206}
sh %{PATCH207}
sh %{PATCH208}
sh %{PATCH209}
sh %{PATCH210}
sh %{PATCH211}
sh %{PATCH212}
sh %{PATCH213}
sh %{PATCH214}
sh %{PATCH215}
sh %{PATCH216}
sh %{PATCH217}
sh %{PATCH218}
sh %{PATCH219}
sh %{PATCH220}
sh %{PATCH221}
sh %{PATCH222}
sh %{PATCH223}
sh %{PATCH224}
sh %{PATCH225}
sh %{PATCH226}
sh %{PATCH227}
sh %{PATCH228}
sh %{PATCH229}
sh %{PATCH230}
sh %{PATCH231}
sh %{PATCH232}
sh %{PATCH233}
sh %{PATCH234}
sh %{PATCH235}
sh %{PATCH236}
sh %{PATCH237}
sh %{PATCH238}
sh %{PATCH239}
sh %{PATCH240}
sh %{PATCH241}
sh %{PATCH242}
sh %{PATCH243}
sh %{PATCH244}
sh %{PATCH245}
sh %{PATCH246}
sh %{PATCH247}
sh %{PATCH248}
sh %{PATCH249}
sh %{PATCH250}
sh %{PATCH251}
sh %{PATCH252}
sh %{PATCH253}
sh %{PATCH254}
sh %{PATCH255}
sh %{PATCH256}
sh %{PATCH257}
sh %{PATCH258}
sh %{PATCH259}
sh %{PATCH260}
sh %{PATCH261}
sh %{PATCH262}
sh %{PATCH263}
sh %{PATCH264}
sh %{PATCH265}
sh %{PATCH266}
sh %{PATCH267}
sh %{PATCH268}
sh %{PATCH269}
sh %{PATCH270}
sh %{PATCH271}
sh %{PATCH272}
sh %{PATCH273}
sh %{PATCH274}
sh %{PATCH275}
sh %{PATCH276}
sh %{PATCH277}
sh %{PATCH278}
sh %{PATCH279}
sh %{PATCH280}
sh %{PATCH281}
sh %{PATCH282}
sh %{PATCH283}
sh %{PATCH284}
sh %{PATCH285}
sh %{PATCH286}
sh %{PATCH287}
sh %{PATCH288}
sh %{PATCH289}
sh %{PATCH290}
sh %{PATCH291}
sh %{PATCH292}
sh %{PATCH293}
sh %{PATCH294}
sh %{PATCH295}
sh %{PATCH296}
sh %{PATCH297}
sh %{PATCH298}
sh %{PATCH299}
sh %{PATCH300}
sh %{PATCH301}
sh %{PATCH302}
sh %{PATCH303}
sh %{PATCH304}
sh %{PATCH305}
sh %{PATCH306}
sh %{PATCH307}
sh %{PATCH308}
sh %{PATCH309}
sh %{PATCH310}
sh %{PATCH311}
sh %{PATCH312}
sh %{PATCH313}
sh %{PATCH314}
sh %{PATCH315}
sh %{PATCH316}
sh %{PATCH317}
sh %{PATCH318}
sh %{PATCH319}
sh %{PATCH320}
sh %{PATCH321}
sh %{PATCH322}
sh %{PATCH323}
sh %{PATCH324}
sh %{PATCH325}
sh %{PATCH326}
sh %{PATCH327}
sh %{PATCH328}
sh %{PATCH329}
sh %{PATCH330}
sh %{PATCH331}
sh %{PATCH332}
sh %{PATCH333}
sh %{PATCH334}
sh %{PATCH335}
sh %{PATCH336}
sh %{PATCH337}
sh %{PATCH338}
sh %{PATCH339}
sh %{PATCH340}
sh %{PATCH341}
sh %{PATCH342}
sh %{PATCH343}
sh %{PATCH344}
sh %{PATCH345}
sh %{PATCH346}
sh %{PATCH347}
sh %{PATCH348}
sh %{PATCH349}
sh %{PATCH350}
sh %{PATCH351}
sh %{PATCH352}
sh %{PATCH353}
sh %{PATCH354}
sh %{PATCH355}
sh %{PATCH356}
sh %{PATCH357}
sh %{PATCH358}
sh %{PATCH359}
sh %{PATCH360}
sh %{PATCH361}
sh %{PATCH362}
sh %{PATCH363}
sh %{PATCH364}
sh %{PATCH365}
sh %{PATCH366}
sh %{PATCH367}
sh %{PATCH368}
sh %{PATCH369}
sh %{PATCH370}
sh %{PATCH371}
sh %{PATCH372}
sh %{PATCH373}
sh %{PATCH374}
sh %{PATCH375}
sh %{PATCH376}
sh %{PATCH377}
sh %{PATCH378}
sh %{PATCH379}
sh %{PATCH380}
sh %{PATCH381}
sh %{PATCH382}
sh %{PATCH383}
sh %{PATCH384}
sh %{PATCH385}
sh %{PATCH386}
sh %{PATCH387}
sh %{PATCH388}
sh %{PATCH389}
sh %{PATCH390}
sh %{PATCH391}
sh %{PATCH392}
sh %{PATCH393}
sh %{PATCH394}
sh %{PATCH395}
sh %{PATCH396}
sh %{PATCH397}
sh %{PATCH398}
sh %{PATCH399}
sh %{PATCH400}
sh %{PATCH401}
sh %{PATCH402}
sh %{PATCH403}
sh %{PATCH404}
sh %{PATCH405}
sh %{PATCH406}
sh %{PATCH407}
sh %{PATCH408}
sh %{PATCH409}
sh %{PATCH410}
sh %{PATCH411}
sh %{PATCH412}
sh %{PATCH413}
sh %{PATCH414}
sh %{PATCH415}
sh %{PATCH416}
sh %{PATCH417}
sh %{PATCH418}
sh %{PATCH419}
sh %{PATCH420}
sh %{PATCH421}
sh %{PATCH422}
sh %{PATCH423}
sh %{PATCH424}
sh %{PATCH425}
sh %{PATCH426}
sh %{PATCH427}
sh %{PATCH428}
sh %{PATCH429}
sh %{PATCH430}
sh %{PATCH431}
sh %{PATCH432}
sh %{PATCH433}
sh %{PATCH434}
sh %{PATCH435}
sh %{PATCH436}
sh %{PATCH437}
sh %{PATCH438}
sh %{PATCH439}
sh %{PATCH440}
sh %{PATCH441}
sh %{PATCH442}
sh %{PATCH443}
sh %{PATCH444}
sh %{PATCH445}
sh %{PATCH446}
sh %{PATCH447}
sh %{PATCH448}
sh %{PATCH449}
sh %{PATCH450}
sh %{PATCH451}
sh %{PATCH452}
sh %{PATCH453}
sh %{PATCH454}
sh %{PATCH455}
sh %{PATCH456}
sh %{PATCH457}
sh %{PATCH458}
sh %{PATCH459}
sh %{PATCH460}
sh %{PATCH461}
sh %{PATCH462}
sh %{PATCH463}
sh %{PATCH464}
sh %{PATCH465}
sh %{PATCH466}
sh %{PATCH467}
sh %{PATCH468}
sh %{PATCH469}
sh %{PATCH470}
sh %{PATCH471}
sh %{PATCH472}
sh %{PATCH473}
sh %{PATCH474}
sh %{PATCH475}
sh %{PATCH476}
sh %{PATCH477}
sh %{PATCH478}
sh %{PATCH479}
sh %{PATCH480}
sh %{PATCH481}
sh %{PATCH482}
sh %{PATCH483}
sh %{PATCH484}
sh %{PATCH485}
sh %{PATCH486}
sh %{PATCH487}
sh %{PATCH488}
sh %{PATCH489}
sh %{PATCH490}
sh %{PATCH491}
sh %{PATCH492}
sh %{PATCH493}
sh %{PATCH494}
sh %{PATCH495}
sh %{PATCH496}
sh %{PATCH497}
sh %{PATCH498}
sh %{PATCH499}
sh %{PATCH500}
sh %{PATCH501}
sh %{PATCH502}
sh %{PATCH503}
sh %{PATCH504}
sh %{PATCH505}
sh %{PATCH506}
sh %{PATCH507}
sh %{PATCH508}
sh %{PATCH509}
sh %{PATCH510}
sh %{PATCH511}
sh %{PATCH512}
sh %{PATCH513}
sh %{PATCH514}
sh %{PATCH515}
sh %{PATCH516}
sh %{PATCH517}
sh %{PATCH518}
sh %{PATCH519}
sh %{PATCH520}
sh %{PATCH521}
sh %{PATCH522}
sh %{PATCH523}
sh %{PATCH524}
sh %{PATCH525}
sh %{PATCH526}
sh %{PATCH527}
sh %{PATCH528}
sh %{PATCH529}
sh %{PATCH530}
sh %{PATCH531}
sh %{PATCH532}
sh %{PATCH533}
sh %{PATCH534}
sh %{PATCH535}
sh %{PATCH536}
sh %{PATCH537}
sh %{PATCH538}
sh %{PATCH539}
sh %{PATCH540}
sh %{PATCH541}
sh %{PATCH542}
sh %{PATCH543}
sh %{PATCH544}
sh %{PATCH545}
sh %{PATCH546}
sh %{PATCH547}
sh %{PATCH548}
sh %{PATCH549}
sh %{PATCH550}
sh %{PATCH551}
sh %{PATCH552}
sh %{PATCH553}
sh %{PATCH554}
sh %{PATCH555}
sh %{PATCH556}
sh %{PATCH557}
sh %{PATCH558}
sh %{PATCH559}
sh %{PATCH560}
sh %{PATCH561}
sh %{PATCH562}
sh %{PATCH563}
sh %{PATCH564}
sh %{PATCH565}
sh %{PATCH566}
sh %{PATCH567}
sh %{PATCH568}
sh %{PATCH569}
sh %{PATCH570}
sh %{PATCH571}
sh %{PATCH572}
sh %{PATCH573}
sh %{PATCH574}
sh %{PATCH575}
sh %{PATCH576}
sh %{PATCH577}
sh %{PATCH578}
sh %{PATCH579}
sh %{PATCH580}
sh %{PATCH581}
sh %{PATCH582}
sh %{PATCH583}
sh %{PATCH584}
sh %{PATCH585}
sh %{PATCH586}
sh %{PATCH587}
sh %{PATCH588}
sh %{PATCH589}
sh %{PATCH590}
sh %{PATCH591}
sh %{PATCH592}
sh %{PATCH593}
sh %{PATCH594}
sh %{PATCH595}
sh %{PATCH596}
sh %{PATCH597}
sh %{PATCH598}
sh %{PATCH599}
sh %{PATCH600}
sh %{PATCH601}
sh %{PATCH602}
sh %{PATCH603}
sh %{PATCH604}
sh %{PATCH605}
sh %{PATCH606}
sh %{PATCH607}
sh %{PATCH608}
sh %{PATCH609}
sh %{PATCH610}
sh %{PATCH611}
sh %{PATCH612}
sh %{PATCH613}
sh %{PATCH614}
sh %{PATCH615}
sh %{PATCH616}
sh %{PATCH617}
sh %{PATCH618}
sh %{PATCH619}
sh %{PATCH620}
sh %{PATCH621}
sh %{PATCH622}
sh %{PATCH623}
sh %{PATCH624}
sh %{PATCH625}
sh %{PATCH626}
sh %{PATCH627}
sh %{PATCH628}
sh %{PATCH629}
sh %{PATCH630}
sh %{PATCH631}
sh %{PATCH632}
sh %{PATCH633}
sh %{PATCH634}
sh %{PATCH635}
sh %{PATCH636}
sh %{PATCH637}
sh %{PATCH638}
sh %{PATCH639}
sh %{PATCH640}
sh %{PATCH641}
sh %{PATCH642}
sh %{PATCH643}
sh %{PATCH644}
sh %{PATCH645}
sh %{PATCH646}
sh %{PATCH647}
sh %{PATCH648}
sh %{PATCH649}
sh %{PATCH650}
sh %{PATCH651}
sh %{PATCH652}
sh %{PATCH653}
sh %{PATCH654}
sh %{PATCH655}
sh %{PATCH656}
sh %{PATCH657}
sh %{PATCH658}
sh %{PATCH659}
sh %{PATCH660}
sh %{PATCH661}
sh %{PATCH662}
sh %{PATCH663}
sh %{PATCH664}
sh %{PATCH665}
sh %{PATCH666}
sh %{PATCH667}
sh %{PATCH668}
sh %{PATCH669}
sh %{PATCH670}
sh %{PATCH671}
sh %{PATCH672}
sh %{PATCH673}
sh %{PATCH674}
sh %{PATCH675}
sh %{PATCH676}
sh %{PATCH677}
sh %{PATCH678}
sh %{PATCH679}
sh %{PATCH680}
sh %{PATCH681}
sh %{PATCH682}
sh %{PATCH683}
sh %{PATCH684}
sh %{PATCH685}
sh %{PATCH686}
sh %{PATCH687}
sh %{PATCH688}
sh %{PATCH689}
sh %{PATCH690}
sh %{PATCH691}
sh %{PATCH692}
sh %{PATCH693}
sh %{PATCH694}
sh %{PATCH695}
sh %{PATCH696}
sh %{PATCH697}
sh %{PATCH698}
sh %{PATCH699}
sh %{PATCH700}
sh %{PATCH701}
sh %{PATCH702}
sh %{PATCH703}
sh %{PATCH704}
sh %{PATCH705}
sh %{PATCH706}
sh %{PATCH707}
sh %{PATCH708}
sh %{PATCH709}

# apply NGS patches
patch -p1 < %{PATCH50}
patch -p1 < %{PATCH51}
patch -p1 < %{PATCH52}
patch -p1 < %{PATCH53}
patch -p1 < %{PATCH54}
patch -p1 < %{PATCH55}
patch -p1 < %{PATCH56}
patch -p1 < %{PATCH57}
patch -p1 < %{PATCH58}
patch -p1 < %{PATCH59}
patch -p1 < %{PATCH60}
patch -p1 < %{PATCH61}
patch -p1 < %{PATCH62}
patch -p1 < %{PATCH63}
patch -p1 < %{PATCH64}
patch -p1 < %{PATCH65}

# apply RTG-K2X patches
patch -p1 < %{PATCH70}
patch -p1 < %{PATCH71}

rm -f .mvl_target_cpu
echo %{_hhl_kernel_arch} > .mvl_target_cpu

rm -f .mvl_cross_compile
echo %{_hhl_target_toolprefix} > .mvl_cross_compile

rm -f localversion-mvl
echo -rtg_k2x-mips2_fp_le > localversion-mvl

rm -f arch/%{_hhl_kernel_arch}/defconfig
cp %{SOURCE0} arch/%{_hhl_kernel_arch}/defconfig

rm -f .mvl_target_installdir
echo %{_hhl_cross_dir} | sed -e "s=%{_hhl_devkit_dir}/==" > .mvl_target_installdir

rm -f include/linux/lspinfo.h
cat > include/linux/lspinfo.h << EOF
#define LSP_BUILD_ID   "%{_hhl_build_id}"
#define LSP_REVISION   "%{_hhl_lsp_rev}"
#define LSP_NAME       "%{FILENAME}"
#define LSP_BOARD_NAME "%{BOARD_NAME}"
#define LSP_MVL_ARCH   "%{_hhl_target_arch}"
EOF

#
#  BUILD
#
%build
%host_setup

cd %{buildroot}%{MY_LSPDIR}/%{KDIR}

make mrproper
make checksetconfig

#
#  INSTALL
#
%install
%host_setup

#  Copy kernel source for LSP
install -d -m 755 %{buildroot}%{MY_LSPDIR}

cd %{buildroot}%{MY_LSPDIR}

# Copy documentation
cat %{SOURCE10} | sed	\
	-e "s/XYZ_TARGET_ARCH/%{_hhl_target_arch}/g" \
	-e "s/XYZ_TOOL_PREFIX/%{_hhl_target_toolprefix}/g" \
	-e "s=XYZ_CROSS_DIR=%{_hhl_cross_dir}=g" \
	-e "s=XYZ_LINUX_VERSION=%{KERNEL_VERSION}=g" \
	-e "s=%{_hhl_devkit_dir}/==g" > %{buildroot}%{MY_LSPDIR}/desc

%if "%{_hhl_integration_patch}" == "true"
cp %{PATCH10} %{buildroot}%{MY_LSPDIR}/mvl-post-release.diff
%endif

#
#  CLEAN
#
%clean
rm -rf %{buildroot}

%files -n cross-%{_hhl_target_arch}-lsp-%{FILENAME}
%defattr(-,root,root)
%dir %{MY_LSPDIR}
%{MY_LSPDIR}/%{KDIR}
%{MY_LSPDIR}/desc

%if "%{_hhl_integration_patch}" == "true"
%{MY_LSPDIR}/mvl-post-release.diff
%endif

#
#  CHANGELOG
#
%changelog
* Mon Jan 7 2008 Yamaha Corporation
- Updated a part of firmware update utility (filerecv).
* Wed Dec 26 2007 Yamaha Corporation
- Last-minute updates:
  - Introduced new kernel source tree structure (including minor code
    cleanups).
  - Removed extra features such as SCSI, USB, NETDEVICES and unused
    filesystems along with the CPU configurations. Please note that
    you can't use nfsroot nor firmware updater via USB storage with
    this kernel anymore (use the debug version for that purpose).
  - Tweaked linuxrc, launch MIDI update mode for 2nd stage updating.
* Thu Sep 15 2005 <source@mvista.com>
- Spec file generated from template 8
